Package org.sunflow.image

# Class XYZColor

java.lang.Object
org.sunflow.image.XYZColor

public final class XYZColor extends Object

## Constructor Summary

Constructors
Constructor
Description
`XYZColor()`
`XYZColor(float X, float Y, float Z)`

## Method Summary

Modifier and Type
Method
Description
`final float`
`getX()`
`final float`
`getY()`
`final float`
`getZ()`
`final XYZColor`
`mul(float s)`
`final void`
`normalize()`
`final String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### XYZColor

public XYZColor()

### XYZColor

public XYZColor(float X, float Y, float Z)

## Method Details

### getX

public final float getX()

### getY

public final float getY()

### getZ

public final float getZ()

### mul

public final XYZColor mul(float s)

### normalize

public final void normalize()

### toString

public final String toString()

Overrides:
  `toString` in class `Object`